package com.yihu.jw.restmodel.hospital.survey;

import com.yihu.jw.restmodel.UuidIdentityVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * Created by Trick on 2019/9/9.
 */
@ApiModel(value = "WlyySurveyTemplateOptionVO", description = "问卷调查模板问题选项")
public class WlyySurveyTemplateOptionVO extends UuidIdentityVO {
    @ApiModelProperty(value = "业务id", example = "模块1")
    private String code;//模板编码',
    @ApiModelProperty(value = "模板编码", example = "模块1")
    private String templateCode;//模板编码',
    @ApiModelProperty(value = "模板问题编码", example = "模块1")
    private String questionCode;//模板问题编码',
    @ApiModelProperty(value = "选项内容", example = "模块1")
    private String content;//选项内容',
    @ApiModelProperty(value = "是否有备注，0没有，1有", example = "模块1")
    private Integer haveComment;
    @ApiModelProperty(value = "选项说明是否必填（0否 1是）", example = "模块1")
    private Integer isRequired;//选项说明是否必填（0否 1是）',
    @ApiModelProperty(value = "选项分值", example = "模块1")
    private Integer score;//选项分值',
    @ApiModelProperty(value = "下一题问题编码（问答题逻辑跳转）", example = "模块1")
    private String questionCodeNext;//下一题问题编码（问答题逻辑跳转）',
    @ApiModelProperty(value = "下一题问题所属sort排序", example = "模块1")
    private String questionSortNext;//下一题问题所属sort排序',
    @ApiModelProperty(value = "删除标志（1正常，0删除）", example = "模块1")
    private String del;//删除标志（1正常，0删除）',
    @ApiModelProperty(value = "单题内排序", example = "模块1")
    private Integer sort;//单题内排序',

    @ApiModelProperty(value = "百分比", example = "模块1")
    private String percentage;

    @ApiModelProperty(value = "选项多少人答题", example = "模块1")
    private Integer optCount;

    public String getTemplateCode() {
        return templateCode;
    }

    public void setTemplateCode(String templateCode) {
        this.templateCode = templateCode;
    }

    public String getQuestionCode() {
        return questionCode;
    }

    public void setQuestionCode(String questionCode) {
        this.questionCode = questionCode;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public Integer getIsRequired() {
        return isRequired;
    }

    public void setIsRequired(Integer isRequired) {
        this.isRequired = isRequired;
    }

    public Integer getScore() {
        return score;
    }

    public void setScore(Integer score) {
        this.score = score;
    }

    public String getQuestionCodeNext() {
        return questionCodeNext;
    }

    public void setQuestionCodeNext(String questionCodeNext) {
        this.questionCodeNext = questionCodeNext;
    }

    public String getQuestionSortNext() {
        return questionSortNext;
    }

    public void setQuestionSortNext(String questionSortNext) {
        this.questionSortNext = questionSortNext;
    }

    public String getDel() {
        return del;
    }

    public void setDel(String del) {
        this.del = del;
    }

    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }

    public Integer getHaveComment() {
        return haveComment;
    }

    public void setHaveComment(Integer haveComment) {
        this.haveComment = haveComment;
    }

    public String getPercentage() {
        return percentage;
    }

    public void setPercentage(String percentage) {
        this.percentage = percentage;
    }

    public Integer getOptCount() {
        return optCount;
    }

    public void setOptCount(Integer optCount) {
        this.optCount = optCount;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }
}
